## org.eclipse.emf.cdo.common.id
Interface CDOIDMetaRange

All Superinterfaces:
  java.io.Serializable

    public interface CDOIDMetaRange

extends java.io.Serializable

Method Summary
`boolean` `contains(CDOID id)`
`CDOID` `get(int index)`
`CDOID` `getLowerBound()`
`CDOID.Type` `getType()`
`CDOID` `getUpperBound()`
`CDOIDMetaRange` `increase()`
`boolean` `isEmpty()`
`boolean` `isTemporary()`
`int` `size()`

Method Detail

### getLowerBound

    CDOID getLowerBound()

### getUpperBound

    CDOID getUpperBound()

### get

    CDOID get(int index)

### size

    int size()

### isEmpty

    boolean isEmpty()

### contains

    boolean contains(CDOID id)

### increase

    CDOIDMetaRange increase()

### getType

    CDOID.Type getType()

### isTemporary

    boolean isTemporary()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.